Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002369VCMIMechanics - Battlespublic2016-01-10 15:442017-01-27 08:39
ReporterSXX 
Assigned Tofeniks_fire 
PriorityhighSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98f 
Target VersionFixed in Version0.next 
Summary0002369: Option needed to use both BattleAI / StupidAI depend on who's fighting
DescriptionCurrently VCMI have "neutralAI" setting that basically represent AI used in battles for all players. That mean if we default to StupidAI then it's used everywhere.

When I talked with Ivan about StupidAI he said that original intention of "StupidAI" was to use it for fights with neutral armed instances (monsters on map, creature banks, neutral towns) that shouldn't be too smart overall.

So what we need is option to set battle AIs independently for:
 - Fights with neutrals
 - VCAI players
 - Human players (quick combat)
And of course we need to default to BattleAI for VCAI / humans.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002564new Player shouldn't be able to control defence of dwellings 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-01-10 15:44 SXX New Issue
2016-10-19 21:32 SXX Relationship added related to 0002564
2017-01-27 08:35 feniks_fire Note Added: 0006961
2017-01-27 08:37 feniks_fire Note Deleted: 0006961
2017-01-27 08:39 feniks_fire Status new => resolved
2017-01-27 08:39 feniks_fire Fixed in Version => 0.next
2017-01-27 08:39 feniks_fire Resolution open => fixed
2017-01-27 08:39 feniks_fire Assigned To => feniks_fire


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker